Issue 100619

Summary: DataPilot: Enhanced field popup window
Product: Calc Reporter: kyoshida
Component: codeAssignee: oc
Status: CLOSED FIXED QA Contact: issues@sc <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: DEV300m45   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://wiki.services.openoffice.org/wiki/Calc/Features/DataPilot_enhanced_field_popup_window
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 77677    
Attachments:
Description Flags
TCS
none
Testdocument for TCS none

Description kyoshida 2009-03-27 18:13:21 UTC
The aim of this feature (or enhancement, whatever you want to call it) is to
provide a quick way to change field members' visibility from the field buttons
within the datapilot table output.  Currently, the users have to launch the
layout dialog, then the field dialog, and finally the field options dialog in
order to change member visibility.  Which is way too cumbersome.
Comment 1 kyoshida 2009-03-27 18:13:55 UTC
.
Comment 2 kyoshida 2009-04-01 17:41:52 UTC
I posted some writeup on this enhancement in my blog:

http://kohei.us/2009/04/01/some-minor-enhancement-with-datapilot/

Let's get it tested for a few cycles and see how that goes.
Comment 3 kyoshida 2009-06-19 20:54:05 UTC
The latest screenshot of the popup window, which also supports sorting, is found
in this blog of mine: http://kohei.us/2009/05/01/custom-sort-in-datapilot/
Comment 4 kyoshida 2009-06-19 21:39:19 UTC
An initial spec page has been made.  I'll start filling this up as I go along.
Comment 5 kyoshida 2009-09-02 20:33:58 UTC
I've updated the spec for this feature as I went along with the implementation.
 So, anybody who is curious is advised to take a look at 

http://wiki.services.openoffice.org/wiki/Calc/Features/DataPilot_enhanced_field_popup_window

The accessibility is fully implemented, though only tested against gnome atk at
the moment.  I've identified and fixed numerous issues along the way, the code
is looking really good now.

The development is going on in koheidatapilot03 cws.
Comment 6 kyoshida 2009-09-03 04:21:37 UTC
I've done all I could, so I consider this "done".  There are several open issues
which unfortunately will not be worked on for 3.2 (all identified and spelled
out in the spec), but I'll get to them probably for 3.3.
Comment 7 kyoshida 2009-09-03 17:08:40 UTC
reassign to oc for QA verification.
Comment 8 oc 2009-11-05 12:49:59 UTC
adjusting target according to cws target
Comment 9 oc 2010-01-07 08:24:02 UTC
Created attachment 67050 [details]
TCS
Comment 10 oc 2010-01-07 08:24:28 UTC
Created attachment 67051 [details]
Testdocument for TCS
Comment 11 oc 2010-01-07 08:25:02 UTC
verified in internal build cws_koheidatapilot03